#!BuildIgnore:	post-build-checks
Name:           j0ke.net-worker
License:        GPL
Group:          Productivity/Networking/Web/Utilities
AutoReqProv:    on
Version:        2.6
Release:        23.1
Url:            http://obs.j0ke.net/
Summary:        The j0ke.net Build Service -- Server Component
Provides:       obs-worker
Obsoletes:      obs-worker
Source1:        obsworker
Source11:       sysconfig.obs-worker
Source12:       buildhost.config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       perl-TimeDate screen curl perl-XML-Parser perl-Compress-Zlib binutils bsdtar
%ifarch x86_64
Requires:       linux32
%endif
%ifarch ppc64
Requires:       powerpc32
%endif
%if 0%{?suse_version} >= 930 && 0%{?suse_version} <= 1030 || 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
Requires:       lzma
%endif
%if 0%{?suse_version}
Requires:       dpkg xz
%endif

%if 0%{?suse_version}
PreReq:         %fillup_prereq %insserv_prereq
%endif

%description
this package includes j0ke.net specific buildservice worker

%package xen
Summary:        buildhost.config for xen worker
Group:          Productivity/Networking/Web/Utilities
Requires:       %{name}

%description xen
this package includes xen buildhost.config for j0ke.net-worker

%package kvm
Summary:	buildhost config for kvm worker
Group:		Productivity/Networking/Web/Utilities
Requires:	%{name} kvm

%description kvm
This package includes kvm buildhost.config for j0ke.net-worker

%prep
%build

%install
#
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d/
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin/
install -d -m 755 $RPM_BUILD_ROOT/home/obs
install -d -m 755 $RPM_BUILD_ROOT/home/obs/cache
install -d -m 755 $RPM_BUILD_ROOT/var/log/obs

# install  runlevel scripts
install -m 0755 %SOURCE1 \
           $RPM_BUILD_ROOT/etc/init.d/
ln -sf /etc/init.d/obsworker $RPM_BUILD_ROOT/usr/sbin/rcobsworker
install -D -m 0644 %SOURCE12 \
	$RPM_BUILD_ROOT/%{_sysconfdir}/buildhost.config
install -D -m 0644 %SOURCE12 \
	$RPM_BUILD_ROOT/%{_sysconfdir}/kvmbuildhost.config
# install fillups
FILLUP_DIR=$RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $FILLUP_DIR
cp -a %SOURCE11 $FILLUP_DIR/

%post
%{fillup_and_insserv -n obs-worker}
%restart_on_update obsworker
%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
cp /var/adm/fillup-templates/sysconfig.obs-worker /etc/sysconfig/obs-worker
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /var/log/obs
%dir /home/obs
%dir /home/obs/cache
/var/adm/fillup-templates/sysconfig.obs-worker
/etc/init.d/obsworker
/usr/sbin/rcobsworker

%files xen
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/buildhost.config

%files kvm
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/kvmbuildhost.config

%changelog
* Mon May 14 2018 cs@linux-administrator.com
- update to version 2.6
  * detect filesystem drivers for cache and base volume creation (xfs, ext4, ext3)
* Sat Aug 30 2014 cs@linux-administrator.com
- update to version 2.4
  * add hostsystem detection and set reserved memory for host
* Tue Oct 16 2012 cs@linux-administrator.com
- update to version 2.3
  * rename --xendevice to --device
  * rename --xdenswap to --swap
